
Tgt = decomp_seq.sh decomp_seq_para.sh \
	decomp_rand.sh decomp_rand_para.sh

ifneq (${MAKECMDGOALS}, clean)
ifndef Mntpnt
Mntpnt = /tmp
$(warning Mntpnt is undefined)
endif

ifndef NRead
NRead = 1
$(warning NRead is undefined)
endif
endif

all: ${Tgt}

clean:
	${RM} ${Tgt} decomp.lst1 decomp.lst

########################################

decomp.lst1:
	cd ${Mntpnt} && \
	find . -xdev -name lost+found -prune -false -o \
		-type f -perm -04 > ${CURDIR}/$@
#	wc -l $@

decomp.lst: decomp.lst1
	seq ${NRead} | \
	while read i; \
	do cat $<; \
	done > $@

.INTERMEDIATE: decomp.lst1 decomp.lst

decomp_seq.sh: decomp.lst
	echo '#!/bin/sh' > $@
	xargs -r echo cat < $< | \
	sed -e 's:$$:> /dev/null:' >> $@
	chmod u+x $@
#	-wc -l $@

decomp_rand.sh: decomp.lst
	echo '#!/bin/sh' > $@
	rl $< |\
	xargs -r echo cat | \
	sed -e 's:$$:> /dev/null:' >> $@
	chmod u+x $@
#	-wc -l $@

decomp_%_para.sh: decomp_%.sh
	sed -e 's:\( /dev/null\)$$:\1 \&:' $< > $@
	echo wait >> $@
	chmod u+x $@
#	fgrep -n wait $@
